#ifndef MAINVIEW_H
#define MAINVIEW_H

#include <QQuickView>

#include <QAndroidJniEnvironment>
#include <QAndroidJniObject>

class MainView : public QQuickView
{
    Q_OBJECT
private:
    const char* JniTestClassName = "com/tnksoft/helloqt/JniTest";
    QAndroidJniObject *JniTestClass = nullptr;
    // JNIクラスオブジェクト
    jclass testClass;
    // JNIクラスメソッド
    jmethodID _begin, _download;
    // JNIコールバック
    static void errorCallback(JNIEnv *env, jobject thiz, jlong handle, jstring errmsg);
    static void completeCallback(JNIEnv *env, jobject thiz, jlong handle, jbyteArray res);

public:
    MainView();

signals:
    void error(const QString &errmsg);
    void complete();

public slots:
    void onCallJni();
};

#endif // MAINVIEW_H
